Package org.flowable.bpmn.model

# Class MultiInstanceLoopCharacteristics

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.MultiInstanceLoopCharacteristics

All Implemented Interfaces:
  `HasExtensionAttributes`

public class MultiInstanceLoopCharacteristics extends BaseElement

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected VariableAggregationDefinitions`
  `aggregations`
  `protected CollectionHandler`
  `collectionHandler`
  `protected String`
  `collectionString`
  `protected String`
  `completionCondition`
  `protected String`
  `elementIndexVariable`
  `protected String`
  `elementVariable`
  `protected String`
  `inputDataItem`
  `protected String`
  `loopCardinality`
  `protected boolean`
  `noWaitStatesAsyncLeave`
  `protected boolean`
  `sequential`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiInstanceLoopCharacteristics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAggregation(VariableAggregationDefinition aggregation)`
  `MultiInstanceLoopCharacteristics`
  `clone()`
  `VariableAggregationDefinitions`
  `getAggregations()`
  `String`
  `getCollectionString()`
  `String`
  `getCompletionCondition()`
  `String`
  `getElementIndexVariable()`
  `String`
  `getElementVariable()`
  `CollectionHandler`
  `getHandler()`
  `String`
  `getInputDataItem()`
  `String`
  `getLoopCardinality()`
  `boolean`
  `isNoWaitStatesAsyncLeave()`
  `boolean`
  `isSequential()`
  `void`
  `setAggregations(VariableAggregationDefinitions aggregations)`
  `void`
  `setCollectionString(String collectionString)`
  `void`
  `setCompletionCondition(String completionCondition)`
  `void`
  `setElementIndexVariable(String elementIndexVariable)`
  `void`
  `setElementVariable(String elementVariable)`
  `void`
  `setHandler(CollectionHandler collectionHandler)`
  `void`
  `setInputDataItem(String inputDataItem)`
  `void`
  `setLoopCardinality(String loopCardinality)`
  `void`
  `setNoWaitStatesAsyncLeave(boolean noWaitStatesAsyncLeave)`
  `void`
  `setSequential(boolean sequential)`
  `void`
  `setValues(MultiInstanceLoopCharacteristics otherLoopCharacteristics)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### inputDataItem

    protected String inputDataItem

  - ### collectionString

    protected String collectionString

  - ### collectionHandler

    protected CollectionHandler collectionHandler

  - ### loopCardinality

    protected String loopCardinality

  - ### completionCondition

    protected String completionCondition

  - ### elementVariable

    protected String elementVariable

  - ### elementIndexVariable

    protected String elementIndexVariable

  - ### sequential

    protected boolean sequential

  - ### noWaitStatesAsyncLeave

    protected boolean noWaitStatesAsyncLeave

  - ### aggregations

    protected VariableAggregationDefinitions aggregations

- ## Constructor Details

  - ### MultiInstanceLoopCharacteristics

    public MultiInstanceLoopCharacteristics()

- ## Method Details

  - ### getInputDataItem

    public String getInputDataItem()

  - ### setInputDataItem

    public void setInputDataItem(String inputDataItem)

  - ### getCollectionString

    public String getCollectionString()

  - ### setCollectionString

    public void setCollectionString(String collectionString)

  - ### getHandler

    public CollectionHandler getHandler()

  - ### setHandler

    public void setHandler(CollectionHandler collectionHandler)

  - ### getLoopCardinality

    public String getLoopCardinality()

  - ### setLoopCardinality

    public void setLoopCardinality(String loopCardinality)

  - ### getCompletionCondition

    public String getCompletionCondition()

  - ### setCompletionCondition

    public void setCompletionCondition(String completionCondition)

  - ### getElementVariable

    public String getElementVariable()

  - ### setElementVariable

    public void setElementVariable(String elementVariable)

  - ### getElementIndexVariable

    public String getElementIndexVariable()

  - ### setElementIndexVariable

    public void setElementIndexVariable(String elementIndexVariable)

  - ### isSequential

    public boolean isSequential()

  - ### setSequential

    public void setSequential(boolean sequential)

  - ### isNoWaitStatesAsyncLeave

    public boolean isNoWaitStatesAsyncLeave()

  - ### setNoWaitStatesAsyncLeave

    public void setNoWaitStatesAsyncLeave(boolean noWaitStatesAsyncLeave)

  - ### getAggregations

    public VariableAggregationDefinitions getAggregations()

  - ### setAggregations

    public void setAggregations(VariableAggregationDefinitions aggregations)

  - ### addAggregation

    public void addAggregation(VariableAggregationDefinition aggregation)

  - ### clone

    public MultiInstanceLoopCharacteristics clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(MultiInstanceLoopCharacteristics otherLoopCharacteristics)